Cyberduck Mountain Duck CLI

#1156 closed defect (fixed)

Directory listing fails when symlink target file is not present

Reported by: djaeggi Owned by: dkocher
Priority: normal Milestone: 2.8
Component: sftp Version: 2.8b1
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

I have access to a number of machines with a NFS /home mount. Let's say I have access to machines A & B. On machine A, I have symlinks to files and directories which are local to machine A. I.e.

lrwxrwxrwx 1 djaeggi djaeggi 26 2006-09-29 09:24 backup -> /export/home/djaeggi/backup/

(where /export is a local disk on machine A).

On machine B, this symlink still exists but the target does not. This should be fine, that's just life!

However, when I login to machine B using cyberduck, the directory listing fails with the error message:

SSH Error: Listing directory failed /home/djaeggi

A reference was made to a file which does not exist. This error is a complete stopper for me, because the directory listing fails and I only get a partial listing (it looks like it only lists files/directories up to the point of the first symlink failure, then nothing more).

The version is:

Version 2.8b1 (3161)

Hope this makes sense! Thanks.

Change History (2)

comment:1 Changed on Jul 11, 2007 at 7:51:41 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 2.8
  • Status changed from new to assigned

comment:2 Changed on Jul 12, 2007 at 9:21:03 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r3166.

Note: See TracTickets for help on using tickets.
swiss made software